创建智能体
curl --request POST \
--url https://api.moonshot.cn/v1/agents \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "Example Agent",
"model": "kimi-example"
}
'import requests
url = "https://api.moonshot.cn/v1/agents"
payload = {
"name": "Example Agent",
"model": "kimi-example"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({name: 'Example Agent', model: 'kimi-example'})
};
fetch('https://api.moonshot.cn/v1/agents', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "agent_01h455vb4pex5vsknk084sn02q",
"name": "Example Agent",
"model": {
"id": "kimi-example"
},
"version": "1",
"created_at": "2026-01-01T00:00:00.000Z",
"updated_at": "2026-01-01T00:00:00.000Z",
"scope": "project"
}{
"error": {
"type": "invalid_parameter_error",
"message": "<string>",
"param": "<string>",
"request_id": "<string>"
}
}{
"error": {
"type": "invalid_parameter_error",
"message": "<string>",
"param": "<string>",
"request_id": "<string>"
}
}{
"error": {
"type": "invalid_parameter_error",
"message": "<string>",
"param": "<string>",
"request_id": "<string>"
}
}{
"error": {
"type": "invalid_parameter_error",
"message": "<string>",
"param": "<string>",
"request_id": "<string>"
}
}{
"error": {
"type": "invalid_parameter_error",
"message": "<string>",
"param": "<string>",
"request_id": "<string>"
}
}创建智能体及其首个不可变版本("1")。
- 省略
version(或使用"latest")的技能引用会固定到确切版本。插件版本始终固定为当前采纳的版本,必须省略。 multiagent名册在写入时解析为固定的智能体版本。
POST
/
v1
/
agents
创建智能体
请求头
可选的幂等键。相同的键与请求体会在 24 小时内重放首个响应;以不同的请求体复用,或在首个请求仍在处理时复用,返回 409。
请求体
application/json
创建智能体的请求体。同时创建第一个不可变版本。
人类可读的智能体名称。
Required string length:
1 - 256所选模型。
可选的人类可读描述。
Maximum string length:
2048系统提示词。
Maximum string length:
100000智能体可用的工具。
Maximum array length:
128内置智能体工具集声明。
- Agent 工具集
- MCP 工具集
Show child attributes
Show child attributes
智能体可用的 MCP 服务器连接。名称必须唯一。
Maximum array length:
20Show child attributes
Show child attributes
智能体可用的技能。
Show child attributes
Show child attributes
智能体可用的插件。
Show child attributes
Show child attributes
用户自定义元数据(最多 16 条)。
Show child attributes
Show child attributes
可选的协调者配置。
Show child attributes
Show child attributes
响应
已创建的智能体,处于首个不可变版本。
持久化的、带版本管理的智能体配置。
智能体 ID。
Pattern:
^agent_[0-9a-hjkmnp-tv-z]{26}$人类可读的智能体名称。
所选模型。
智能体当前的不可变版本。
创建时间戳。
最后更新时间戳。
可见性范围。
可用选项:
official, org, project, user 可选的人类可读描述。
系统提示词。
智能体可用的工具。
内置智能体工具集声明。
- Agent 工具集
- MCP 工具集
Show child attributes
Show child attributes
智能体可用的 MCP 服务器连接。
Show child attributes
Show child attributes
智能体可用的技能版本,在写入时冻结。
Show child attributes
Show child attributes
智能体可用的插件,在写入时冻结。
Show child attributes
Show child attributes
用户自定义元数据(最多 16 条)。
Show child attributes
Show child attributes
归档时间戳。处于活跃状态时不存在。
解析后的子智能体配置。单智能体时不存在。
Show child attributes
Show child attributes
此页面对您有帮助吗?